<template>
  <q-layout view="hHh lpR fFf">

    <HeaderComponent></HeaderComponent>
<!--    <LeftMenuComponent></LeftMenuComponent>-->

    <q-page-container >
      <router-view />
    </q-page-container>

<!--    <FooterComponent></FooterComponent>-->


  </q-layout>
</template>

<script>
  import FooterComponent from "../components/FooterComponent";
  import HeaderComponent from "../components/HeaderComponent";
  import LeftMenuComponent from "../components/LeftMenuComponent";

  export default {
    name: "default",
    components: {FooterComponent, HeaderComponent, LeftMenuComponent},
    data () {
      return {
        left: false
      }
    },
    created() {
      let MS = backend.MainStruct;
      MS.GetUrlForStatic().then(res => this.$store.commit("set", ["static_files_url", res]))
      this.$store.commit("set", ["MS", MS])
    }
  }
</script>

<style lang="scss">
  @import "../styles/sht-styles";

  body{
    background-color: $dark-grey;
  }
</style>